Register FAQ / Rules Forum Spy Search Today's Posts Mark Forums Read
Go Back   MacRumors Forums > Apple Systems and Services > OS X > OS X 10.8 Mountain Lion

Reply
 
Thread Tools Search this Thread Display Modes
Old Aug 17, 2014, 12:18 PM   #3876
snilson
macrumors newbie
 
Join Date: Aug 2014
yes i've installed mountai lion.dmg in the applications folder..

Last edited by snilson; Aug 17, 2014 at 12:28 PM.
snilson is offline   0 Reply With Quote
Old Aug 17, 2014, 12:44 PM   #3877
Cave Man
macrumors 604
 
Cave Man's Avatar
 
Join Date: Feb 2007
Location: Neander Valley, Germany; just outside of Duesseldorf
Quote:
Originally Posted by snilson View Post
yes i've installed mountai lion.dmg in the applications folder..
It's not a .dmg, it's an installer and should look like this:
Attached Images
 
__________________
2012 Mac Mini; i5 Quad Core ITX Hackintosh with Blu-ray playback HTPC; 1 TB eSATA Apple TV; 3.8 gHz i7 Quad Core Hackintosh, 2GB HD5870; MacBook Pro i7; MacBook Air; iPhone 4s; 1st Mac=Centris 610
Cave Man is offline   0 Reply With Quote
Old Aug 18, 2014, 09:57 AM   #3878
rqn4x
macrumors newbie
 
Join Date: Aug 2014
Quote:
Originally Posted by 10tacleBoy View Post
Just install 10.8.5 but choose 10.8.4 in MLpostfactor, works perfectly.

Once you have it installed, the OS X system profiler will tell you that it's 10.8.4, but that's no big deal.
Just go to /System/Library/CoreServices and copy "SystemVersion.plist" to your desktop.
Open it with a text editor and change every 10.8.4 to 10.8.5. Save the file, drag it back to /CoreServices and overwrite the old one.
That worked, thank you very much!
Question: should I ignore latest update 2014-003 1.0 or there is a procedure for MLpostfactor?
rqn4x is offline   0 Reply With Quote
Old Aug 18, 2014, 10:38 AM   #3879
HereBeMonsters
macrumors regular
 
Join Date: Jul 2012
Location: Southampton, UK
Quote:
Originally Posted by HereBeMonsters View Post
Having had this on my Mac Mini (details in sig) for a few months, I've got bored of having to hack every single bit of software to get it to install, so decided to go back to 10.6 (Snow Leopard).

But even having formatted the disk completely, every time I try to install it from DVD (official SL DVD that came with my MM) I get a yellow ! error saying "The Installer Could Not Copy The Neccessary Support Files".

Is this because I've fiddled with it to say it can install 10.8?
Wait, do I now have to use MLPostFactor to install Snow Leopard?
__________________
Mac Mini 1,1 upgraded to: 2,1 with T7600 CPU, 4GB RAM, 128GB SSD, Mountain Lion.
iMac G4 17" 1.25 GHz, 2GB RAM, 64GB SSD, Leopard.
PowerBook G4 12", 1.5GHz, 1.25GB RAM, 32GB SSD, Leopard.
HereBeMonsters is offline   0 Reply With Quote
Old Aug 18, 2014, 06:13 PM   #3880
RV-ABZ
macrumors regular
 
Join Date: Apr 2013
Location: France
Thumbs down

Quote:
Originally Posted by HereBeMonsters View Post
Wait, do I now have to use MLPostFactor to install Snow Leopard?
Oh my...!
__________________
Latitude D430, U7700 1.33GHz, GMA950, SL 10.6.8/L 10.7.5/ML 10.8.5
Latitude D630, T7500/T9300 2.2/2.5GHz, GMA X3100/nVidia NVS 135M, ML 10.8.5/Mav 10.9.4-Yos 10.10 DP6 ... + a few more!
RV-ABZ is offline   1 Reply With Quote
Old Aug 22, 2014, 09:35 AM   #3881
melb00m
macrumors member
 
Join Date: Feb 2011
I'm looking for some opinions on this issue...

My girlfriend is currently still on a 2008 Macbook4,1 running Snow Leopard. Once the new iPhone comes out, she'll get my iPhone 5, and of course it should work well with her Mac (iCloud sync is a must).

Buying a new notebook would be absolutely over the top, as she only needs it for some word processing, mails, and surfing the web. I'm planning to spend around $100 to get an SSD and maybe some more memory, but that's it.

I fear that Lion's support will run out quickly once Yosemite is released to public. So I thought I'd go the SFOTT EFI-patching route and install ML, but apparentely there is still no 64bit driver-hack for the X3100. And I must say MLPostFactor looks, well, experimental with reverting the kernel and other things back to ML DP1-state.

What's your take? Just use Lion? MLPostFactor? Or just skip all that and install Windows or Linux?
melb00m is offline   0 Reply With Quote
Old Aug 22, 2014, 10:31 AM   #3882
RV-ABZ
macrumors regular
 
Join Date: Apr 2013
Location: France
iCloud is supported with Lion 10.7.5 (but certain features may only work with Mavericks). As far as I know, Lion remains available from Apple for the enormous sum of... USD $20! http://store.apple.com/us/product/D6106Z/A/os-x-lion

You fear Lion support will run out quickly once Yosemite is out; well, that MacBook4,1 is still running Snow Leopard... SL 10.6 was introduced in the summer of 2009, last updated to 10.6.8 in the summer of 2011 and support ended early 2014 if I'm not mistaken. 'had any issues that required support from Apple recently?

Lion got out in the summer of 2011 and was last updated to 10.7.5 in October 2012. I guess it'll be a little while before support is dropped, I doubt it'll be this fall. And when Lion support ends, so what? Is it that critical? SL is now out of support and you would not get support from Apple for MLPF on the MacBook4,1 anyway. Seems like support matter is a non-subject in fact, don't you think?

If you have doubts about MLPF due to its "experimental" nature (no matter how successful - or unsuccessful - it may be regarded), stick to Lion 10.7.5. That's guaranteed to work 100%, unlike MLPF. To top it all, MLPF requires to have 10.7.5 to begin with, so...

I would not convert the MacBook4,1 to Windows or Linux for the sake of using iCloud! 'better sell it and spend the proceeds + your $100 on a Windows laptop PC that'd be much more modern than the old MacBook...
__________________
Latitude D430, U7700 1.33GHz, GMA950, SL 10.6.8/L 10.7.5/ML 10.8.5
Latitude D630, T7500/T9300 2.2/2.5GHz, GMA X3100/nVidia NVS 135M, ML 10.8.5/Mav 10.9.4-Yos 10.10 DP6 ... + a few more!

Last edited by RV-ABZ; Aug 22, 2014 at 07:19 PM.
RV-ABZ is offline   0 Reply With Quote
Old Aug 22, 2014, 06:43 PM   #3883
melb00m
macrumors member
 
Join Date: Feb 2011
[Guide] Success! Install 10.8 on old unsupported Mac

Thank you for your input. I agree, MLPF is probably not such a good idea if the device is supposed to run stable. I'll just get a SSD and install Lion. I hope it still runs decent on that machine.
melb00m is offline   0 Reply With Quote
Old Aug 23, 2014, 03:55 AM   #3884
atvusr
macrumors member
 
Join Date: Apr 2010
Quote:
Originally Posted by RV-ABZ View Post

And when Lion support ends, so what? Is it that critical?

Depends on how dangerous the Malware is ....

Seriously: if Apple drops the support for 10.7 Lion, other companies could do the same. Because of Yosemite I've tried the new Parallels Desktop 10 on Lion - PD10 cannot be installed on a older Mac with 32bit EFI due to the lack of the 64bit-Kernel-Mode.

http://kb.parallels.com/122662

http://parallels.com/directdownload/pd10/

Last edited by atvusr; Aug 23, 2014 at 04:55 AM.
atvusr is offline   0 Reply With Quote
Old Aug 23, 2014, 04:01 AM   #3885
melb00m
macrumors member
 
Join Date: Feb 2011
Quote:
Originally Posted by atvusr View Post
Depends on how dangerous the Malware is ....
Of course, but let's hope there won't be another bug as serious as the recent SSL one.

I installed Lion now, and it seems pretty alright although I still think it's one of the worst OS X releases ever.

Safari is also pretty up-to-date in Lion, and I removed admin rights from the default user.
I think it should be okay for now.
melb00m is offline   0 Reply With Quote
Old Aug 23, 2014, 10:15 AM   #3886
atvusr
macrumors member
 
Join Date: Apr 2010
Quote:
Originally Posted by HereBeMonsters View Post
Having had this on my Mac Mini (details in sig) for a few months, I've got bored of having to hack every single bit of software to get it to install, so decided to go back to 10.6 (Snow Leopard).

But even having formatted the disk completely, every time I try to install it from DVD (official SL DVD that came with my MM) I get a yellow ! error saying "The Installer Could Not Copy The Neccessary Support Files".

Is this because I've fiddled with it to say it can install 10.8?
Quote:
Originally Posted by HereBeMonsters View Post
Wait, do I now have to use MLPostFactor to install Snow Leopard?

It seems that the SL-DVD has problems (dirt/scratches) or the SuperDrive has problems to read the DVD. Maybe the Slot-in Drive has gathered some dust - try a CD-Lens-Cleaner for the SuperDrive.
atvusr is offline   0 Reply With Quote
Old Aug 23, 2014, 10:30 AM   #3887
atvusr
macrumors member
 
Join Date: Apr 2010
OpenGL/CL Frameworks

Some help needed: can someone who has successfully running a non-MLPF 10.8.5 on a Mac with ATI X1600 explain how to install the OpenGL/CL Frameworks from Post #3741?

I've tried various combinations, but every time after the install of the OpenGL/CL Frameworks the Icons have graphics artifacts ("pixel salad"). The Security-Update 2014-003 is *not* installed, but all other updates ....
atvusr is offline   0 Reply With Quote
Old Aug 23, 2014, 03:46 PM   #3888
RV-ABZ
macrumors regular
 
Join Date: Apr 2013
Location: France
I think you should proceed as follows:
  1. copy both OpenCL.Framework + OpenGL.Framework folders to /System/Library/Frameworks
  2. for each above folders, enter the following Terminal commands:
    • sudo chmod -R 755 <path/OpenXX.framework>
    • sudo chown -R 0:0 <path/OpenXX.framework>
  3. reboot
__________________
Latitude D430, U7700 1.33GHz, GMA950, SL 10.6.8/L 10.7.5/ML 10.8.5
Latitude D630, T7500/T9300 2.2/2.5GHz, GMA X3100/nVidia NVS 135M, ML 10.8.5/Mav 10.9.4-Yos 10.10 DP6 ... + a few more!
RV-ABZ is offline   0 Reply With Quote
Old Aug 24, 2014, 02:35 AM   #3889
atvusr
macrumors member
 
Join Date: Apr 2010
Quote:
Originally Posted by RV-ABZ View Post

I think you should proceed as follows: [...]
Thanks for this hint.

I've done that and I think I've tried that already before in the various combinations. You're right, some of the permissions were set to the current user instead of root:wheel.

After the chmod/chown commands I've repaired the permissions again with Disk Utility, because OS X expects e.g. a symbolic link instead of a directory. Additionally I've emptied /System/Library/Caches/.

After a reboot no success - the Icons are still defective and have graphics artifacts
atvusr is offline   0 Reply With Quote
Old Aug 24, 2014, 03:38 PM   #3890
RV-ABZ
macrumors regular
 
Join Date: Apr 2013
Location: France
Well, can't tell you more, you'll have to get feedback from those who say they got full QE/CI on their ATI X1600 Mac that way...
__________________
Latitude D430, U7700 1.33GHz, GMA950, SL 10.6.8/L 10.7.5/ML 10.8.5
Latitude D630, T7500/T9300 2.2/2.5GHz, GMA X3100/nVidia NVS 135M, ML 10.8.5/Mav 10.9.4-Yos 10.10 DP6 ... + a few more!
RV-ABZ is offline   0 Reply With Quote
Old Aug 26, 2014, 04:50 AM   #3891
Wanderlust76
macrumors newbie
 
Join Date: Aug 2014
Quote:
Originally Posted by atvusr View Post
Thanks for this hint.

I've done that and I think I've tried that already before in the various combinations. You're right, some of the permissions were set to the current user instead of root:wheel.

After the chmod/chown commands I've repaired the permissions again with Disk Utility, because OS X expects e.g. a symbolic link instead of a directory. Additionally I've emptied /System/Library/Caches/.

After a reboot no success - the Icons are still defective and have graphics artifacts
Hello, I finally found someone who has the same problems and the same hardware as mine...
This is the way I tried:
1) Built the usb boot using 10.8.5 image using SFOTT
2) The system was working, but with some problems due to the missing X1600 drivers
3) After copying patched Frameworks (and doing everything else, like repair permissions) many icons were corrupted.
Maybe the problem is related to the 10.8.5 image and I should use version 10.8.4. Which version did you use?
Wanderlust76 is offline   0 Reply With Quote
Old Aug 26, 2014, 05:30 AM   #3892
atvusr
macrumors member
 
Join Date: Apr 2010
Quote:
Originally Posted by Wanderlust76 View Post

Maybe the problem is related to the 10.8.5 image and I should use version 10.8.4. Which version did you use?
I'm using the 10.8.5 Installer from the App Store. I guess too that the Frameworks work flawless with 10.8.4 but they seem not with 10.8.5 ....

Btw: it would be interesting to know what exactly is patched in the Frameworks. The ATI X1600 Kexts are simply those from 10.7.5 Lion.

Last edited by atvusr; Aug 27, 2014 at 11:50 AM.
atvusr is offline   0 Reply With Quote
Old Aug 27, 2014, 06:25 AM   #3893
bubor
macrumors newbie
 
Join Date: Aug 2014
going to upload my osx image to thepiratebay, try it yourself. I dont use facetime, I dont see any issues.
bubor is offline   0 Reply With Quote
Old Aug 28, 2014, 03:55 AM   #3894
GunRuBandits65
macrumors newbie
 
Join Date: Aug 2014
hey guys been peeking around this thread going about trying to get my macbook 4,1 up to speed with mountain lion service. ive gotten lion on my mac, set up the partitions, downloaded and loaded lion on parallels 8, downloaded MLPostFactor, and purchased/downloaded a copy of mountain lion via parallels. where im stuck is copying the mountain lion from parallels to my mac. can someone give me some instuction on that? obviously dragging and dropping isnt working, copy/paste isnt either, ive tried installing the parallels tools. to my knowledge they are installed. any help would be greatly appreciated fellas. thanks
GunRuBandits65 is offline   0 Reply With Quote
Old Aug 28, 2014, 06:50 AM   #3895
atvusr
macrumors member
 
Join Date: Apr 2010
Quote:
Originally Posted by GunRuBandits65 View Post

where im stuck is copying the mountain lion from parallels to my mac.
Create a Shared Folder between your VM and your Mac Host. See the Parallels Knowledge Base or try a Search Engine for this topic.
atvusr is offline   0 Reply With Quote
Old Aug 28, 2014, 08:09 AM   #3896
GunRuBandits65
macrumors newbie
 
Join Date: Aug 2014
Quote:
Originally Posted by atvusr View Post
Create a Shared Folder between your VM and your Mac Host. See the Parallels Knowledge Base or try a Search Engine for this topic.
thanks for the input, looks like i needed to change some sharing preferences on my mac. most appreciated.
GunRuBandits65 is offline   0 Reply With Quote
Old Aug 28, 2014, 11:58 PM   #3897
prolepsis
macrumors newbie
 
Join Date: Aug 2014
10.8.5 on Macbook 2,1 iMessage and FaceTime

I've got ML 10.8.5 installed and running nicely on a Macbook 2,1 with 4GB memory ... except for both iMessage and FaceTime, both of which don't register. I've followed all advice that I can find in these forums. I've contacted apple twice with the serial number to have the machine 'unlocked' but that hasn't worked. FaceTime works happily on the 10.7.5 partition on the same machine.

What have I missed? What else can I do? Do I need to ask the Apple techs to do a reset or something?

Please ... thanks.
prolepsis is offline   0 Reply With Quote
Old Yesterday, 08:45 AM   #3898
Cave Man
macrumors 604
 
Cave Man's Avatar
 
Join Date: Feb 2007
Location: Neander Valley, Germany; just outside of Duesseldorf
Quote:
Originally Posted by prolepsis View Post
I've got ML 10.8.5 installed and running nicely on a Macbook 2,1 with 4GB memory ... except for both iMessage and FaceTime, both of which don't register. I've followed all advice that I can find in these forums. I've contacted apple twice with the serial number to have the machine 'unlocked' but that hasn't worked. FaceTime works happily on the 10.7.5 partition on the same machine.

What have I missed? What else can I do? Do I need to ask the Apple techs to do a reset or something?

Please ... thanks.
Have you looked at this?

http://www.tonymacx86.com/general-he...-imessage.html
__________________
2012 Mac Mini; i5 Quad Core ITX Hackintosh with Blu-ray playback HTPC; 1 TB eSATA Apple TV; 3.8 gHz i7 Quad Core Hackintosh, 2GB HD5870; MacBook Pro i7; MacBook Air; iPhone 4s; 1st Mac=Centris 610
Cave Man is offline   0 Reply With Quote

Reply
MacRumors Forums > Apple Systems and Services > OS X > OS X 10.8 Mountain Lion

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Similar Threads
thread Thread Starter Forum Replies Last Post
new guide for installing mountain lion gm on unsupported macs dead.xx OS X 10.8 Mountain Lion 157 Feb 28, 2014 06:41 PM
[Guide] Fix iMessage/Facetime on unsupported Macs running ML tylersheppeard OS X 10.8 Mountain Lion 0 Sep 13, 2013 06:15 PM
Best guide for 10.8.4 on unsupported machines. krisosha OS X 10.8 Mountain Lion 1 Aug 24, 2013 12:50 PM
Docking station unsupported after ios 6.1.3 install? 09sroyal iPhone Tips, Help and Troubleshooting 0 Apr 13, 2013 03:15 PM
Guide: Install Leopard on unsupported Macs njs84nnsh74 PowerPC Macs 2 Aug 18, 2012 10:23 AM

Forum Jump

All times are GMT -5. The time now is 11:16 AM.

Mac Rumors | Mac | iPhone | iPhone Game Reviews | iPhone Apps

Mobile Version | Fixed | Fluid | Fluid HD
Copyright 2002-2013, MacRumors.com, LLC